Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.sftp
Class SFTPClient

    java.lang.Object
      org.pentaho.di.job.entries.sftp.SFTPClient

    public class SFTPClient

extends Object

Constructor Summary
`SFTPClient(InetAddress serverIP, int serverPort, String userName)` Init Helper Class with connection settings

Method Summary
`void` | `chdir(String dirToChangeTo)`
`void` | `createFolder(String foldername)` Creates this file as a folder.
`void` | `delete(String file)`
`String[]` | `dir()`
`void` | `disconnect()`
`boolean` | `folderExists(String foldername)`
`void` | `get(String localFilePath, String remoteFile)`
`org.apache.commons.vfs.FileType` | `getFileType(String filename)`
`String` | `getPassword()`
`InetAddress` | `getServerIP()`
`int` | `getServerPort()`
`String` | `getUserName()`
`void` | `login(String password)`
`void` | `put(org.apache.commons.vfs.FileObject fileObject, String remoteFile)`
`String` | `pwd()`
`void` | `renameFile(String sourcefilename, String destinationfilename)` Rename the file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SFTPClient

    public SFTPClient(InetAddress serverIP,
                      int serverPort,
                      String userName)
               throws org.pentaho.di.core.exception.KettleJobException

  Init Helper Class with connection settings

  Parameters:
    `serverIP` - IP address of remote server
  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

Method Detail

### getPassword

    public String getPassword()

### getServerPort

    public int getServerPort()

### getUserName

    public String getUserName()

### getServerIP

    public InetAddress getServerIP()

### login

    public void login(String password)
               throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### chdir

    public void chdir(String dirToChangeTo)
               throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### dir

    public String[] dir()
                 throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### get

    public void get(String localFilePath,
                    String remoteFile)
             throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### pwd

    public String pwd()
               throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### put

    public void put(org.apache.commons.vfs.FileObject fileObject,
                    String remoteFile)
             throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### delete

    public void delete(String file)
                throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### createFolder

    public void createFolder(String foldername)
                      throws org.pentaho.di.core.exception.KettleJobException

  Creates this file as a folder.

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### renameFile

    public void renameFile(String sourcefilename,
                           String destinationfilename)
                    throws org.pentaho.di.core.exception.KettleJobException

  Rename the file.

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### getFileType

    public org.apache.commons.vfs.FileType getFileType(String filename)
                                                throws org.pentaho.di.core.exception.KettleJobException

  Throws:
    `org.pentaho.di.core.exception.KettleJobException`

### folderExists

    public boolean folderExists(String foldername)

### disconnect

    public void disconnect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD